Small Gallery Update

I got the following message from DreamHost yesterday:

[Quote] If you use Gallery on your website, you must upgrade it immediately to protect your website from being cracked into. The new version of Gallery was released on June 1, 2004 and all previous versions are insecure.

Download / Upgrade Instructions links omitted. -Hool

It only takes a few minutes and it is required for all users with an installation of Gallery. If you have any questions or need assistance, please contact our support team.

Happy DreamHost Security Team [Quote]

Doing a bit of research on the gallery site, I found that there are some other feature changes between my version of gallery and the newest version. I don’t really feel like upgrading right now, (but I will probably do so this weekend.) Digging a bit deeper into the site, I found that the security hole can be fixed by chaning one line of code. I just finished making said change in both galleries I’m currently hosting.

Published by

Robert

Robert Belknap has been writing online sporadically since 2001. See the colophon for more details.

Leave a Reply

Your email address will not be published.